import { Context } from 'koa';
import services from '../services';

export const home = async (ctx: Context) => {
  ctx.body = 'home';
};

export const code = async (ctx: Context) => {
  interface params {
    phone?: string
  }
  const params: params = {}
  params.phone = ctx.query.phone
  if (!params.phone) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, 'phone参数缺失', false);
    return;
  };
  const body = await services.code(ctx, params);
  ctx.body = ctx.$response(body);
};

export default {
  home,
  code
}
